"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AmenityFeature = void 0;
const react_1 = require("react");
const LocationFeatureSpecificationType = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "amenityFeature",
        itemScope: true,
        itemType: "https://schema.org/LocationFeatureSpecification",
        ...props,
    }, children);
};
const AmenityFeature = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "amenityFeature",
        ...props,
    }, children);
};
exports.AmenityFeature = AmenityFeature;
AmenityFeature.LocationFeatureSpecification = LocationFeatureSpecificationType;
