"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ContainsPlace = void 0;
const react_1 = require("react");
const PlaceType = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "containsPlace",
        itemScope: true,
        itemType: "https://schema.org/Place",
        ...props,
    }, children);
};
const ContainsPlace = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "containsPlace",
        ...props,
    }, children);
};
exports.ContainsPlace = ContainsPlace;
ContainsPlace.Place = PlaceType;
