"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Events = void 0;
const react_1 = require("react");
const EventType = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "events",
        itemScope: true,
        itemType: "https://schema.org/Event",
        ...props,
    }, children);
};
const Events = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "events",
        ...props,
    }, children);
};
exports.Events = Events;
Events.Event = EventType;
