"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GeoContains = void 0;
const react_1 = require("react");
const GeoContains = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: 'geoContains',
        ...props,
    }, children);
};
exports.GeoContains = GeoContains;
GeoContains.Place = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "geoContains",
        itemScope: true,
        itemType: "https://schema.org/Place",
        ...props
    }, children);
};
GeoContains.GeospatialGeometry = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "geoContains",
        itemScope: true,
        itemType: "https://schema.org/GeospatialGeometry",
        ...props
    }, children);
};
