"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GeoCovers = void 0;
const react_1 = require("react");
const GeoCovers = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: 'geoCovers',
        ...props,
    }, children);
};
exports.GeoCovers = GeoCovers;
GeoCovers.GeospatialGeometry = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "geoCovers",
        itemScope: true,
        itemType: "https://schema.org/GeospatialGeometry",
        ...props
    }, children);
};
GeoCovers.Place = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "geoCovers",
        itemScope: true,
        itemType: "https://schema.org/Place",
        ...props
    }, children);
};
