"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GeoCrosses = void 0;
const react_1 = require("react");
const GeoCrosses = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: 'geoCrosses',
        ...props,
    }, children);
};
exports.GeoCrosses = GeoCrosses;
GeoCrosses.Place = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "geoCrosses",
        itemScope: true,
        itemType: "https://schema.org/Place",
        ...props
    }, children);
};
GeoCrosses.GeospatialGeometry = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "geoCrosses",
        itemScope: true,
        itemType: "https://schema.org/GeospatialGeometry",
        ...props
    }, children);
};
