"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GeoDisjoint = void 0;
const react_1 = require("react");
const GeoDisjoint = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: 'geoDisjoint',
        ...props,
    }, children);
};
exports.GeoDisjoint = GeoDisjoint;
GeoDisjoint.GeospatialGeometry = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "geoDisjoint",
        itemScope: true,
        itemType: "https://schema.org/GeospatialGeometry",
        ...props
    }, children);
};
GeoDisjoint.Place = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "geoDisjoint",
        itemScope: true,
        itemType: "https://schema.org/Place",
        ...props
    }, children);
};
