"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GeoEquals = void 0;
const react_1 = require("react");
const GeoEquals = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: 'geoEquals',
        ...props,
    }, children);
};
exports.GeoEquals = GeoEquals;
GeoEquals.Place = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "geoEquals",
        itemScope: true,
        itemType: "https://schema.org/Place",
        ...props
    }, children);
};
GeoEquals.GeospatialGeometry = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "geoEquals",
        itemScope: true,
        itemType: "https://schema.org/GeospatialGeometry",
        ...props
    }, children);
};
