"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GeoOverlaps = void 0;
const react_1 = require("react");
const GeoOverlaps = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: 'geoOverlaps',
        ...props,
    }, children);
};
exports.GeoOverlaps = GeoOverlaps;
GeoOverlaps.Place = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "geoOverlaps",
        itemScope: true,
        itemType: "https://schema.org/Place",
        ...props
    }, children);
};
GeoOverlaps.GeospatialGeometry = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "geoOverlaps",
        itemScope: true,
        itemType: "https://schema.org/GeospatialGeometry",
        ...props
    }, children);
};
