"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GeoTouches = void 0;
const react_1 = require("react");
const GeoTouches = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: 'geoTouches',
        ...props,
    }, children);
};
exports.GeoTouches = GeoTouches;
GeoTouches.GeospatialGeometry = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "geoTouches",
        itemScope: true,
        itemType: "https://schema.org/GeospatialGeometry",
        ...props
    }, children);
};
GeoTouches.Place = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "geoTouches",
        itemScope: true,
        itemType: "https://schema.org/Place",
        ...props
    }, children);
};
