"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GlobalLocationNumber = void 0;
const react_1 = require("react");
const TextType = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemScope: true,
        itemProp: "globalLocationNumber",
        itemType: "https://schema.org/Text",
        ...props,
    }, children);
};
const GlobalLocationNumber = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: 'globalLocationNumber',
        ...props,
    }, children);
};
exports.GlobalLocationNumber = GlobalLocationNumber;
GlobalLocationNumber.Text = TextType;
