"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.HasMap = void 0;
const react_1 = require("react");
const HasMap = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: 'hasMap',
        ...props,
    }, children);
};
exports.HasMap = HasMap;
HasMap.URL = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "hasMap",
        itemScope: true,
        itemType: "https://schema.org/URL",
        ...props
    }, children);
};
HasMap.Map = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "hasMap",
        itemScope: true,
        itemType: "https://schema.org/Map",
        ...props
    }, children);
};
