"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Logo = void 0;
const react_1 = require("react");
const Logo = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: 'logo',
        ...props,
    }, children);
};
exports.Logo = Logo;
Logo.URL = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "logo",
        itemScope: true,
        itemType: "https://schema.org/URL",
        ...props
    }, children);
};
Logo.ImageObject = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "logo",
        itemScope: true,
        itemType: "https://schema.org/ImageObject",
        ...props
    }, children);
};
