"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.OpeningHours = void 0;
const react_1 = require("react");
const TextType = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemScope: true,
        itemProp: "openingHours",
        itemType: "https://schema.org/Text",
        ...props,
    }, children);
};
const OpeningHours = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: 'openingHours',
        ...props,
    }, children);
};
exports.OpeningHours = OpeningHours;
OpeningHours.Text = TextType;
