"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Photos = void 0;
const react_1 = require("react");
const Photos = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: 'photos',
        ...props,
    }, children);
};
exports.Photos = Photos;
Photos.ImageObject = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "photos",
        itemScope: true,
        itemType: "https://schema.org/ImageObject",
        ...props
    }, children);
};
Photos.Photograph = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "photos",
        itemScope: true,
        itemType: "https://schema.org/Photograph",
        ...props
    }, children);
};
