"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Slogan = void 0;
const react_1 = require("react");
const TextType = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemScope: true,
        itemProp: "slogan",
        itemType: "https://schema.org/Text",
        ...props,
    }, children);
};
const Slogan = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: 'slogan',
        ...props,
    }, children);
};
exports.Slogan = Slogan;
Slogan.Text = TextType;
