"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Address = void 0;
const react_1 = require("react");
const Address = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: 'address',
        ...props,
    }, children);
};
exports.Address = Address;
Address.PostalAddress = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "address",
        itemScope: true,
        itemType: "https://schema.org/PostalAddress",
        ...props
    }, children);
};
