"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ContainedIn = void 0;
const react_1 = require("react");
const PlaceType = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "containedIn",
        itemScope: true,
        itemType: "https://schema.org/Place",
        ...props,
    }, children);
};
const ContainedIn = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "containedIn",
        ...props,
    }, children);
};
exports.ContainedIn = ContainedIn;
ContainedIn.Place = PlaceType;
