"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FaxNumber = void 0;
const react_1 = require("react");
const TextType = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemScope: true,
        itemProp: "faxNumber",
        itemType: "https://schema.org/Text",
        ...props,
    }, children);
};
const FaxNumber = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: 'faxNumber',
        ...props,
    }, children);
};
exports.FaxNumber = FaxNumber;
FaxNumber.Text = TextType;
