"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Geo = void 0;
const react_1 = require("react");
const Geo = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: 'geo',
        ...props,
    }, children);
};
exports.Geo = Geo;
Geo.GeoCoordinates = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "geo",
        itemScope: true,
        itemType: "https://schema.org/GeoCoordinates",
        ...props
    }, children);
};
Geo.GeoShape = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "geo",
        itemScope: true,
        itemType: "https://schema.org/GeoShape",
        ...props
    }, children);
};
