"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GeoCoveredBy = void 0;
const react_1 = require("react");
const GeoCoveredBy = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: 'geoCoveredBy',
        ...props,
    }, children);
};
exports.GeoCoveredBy = GeoCoveredBy;
GeoCoveredBy.GeospatialGeometry = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "geoCoveredBy",
        itemScope: true,
        itemType: "https://schema.org/GeospatialGeometry",
        ...props
    }, children);
};
GeoCoveredBy.Place = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "geoCoveredBy",
        itemScope: true,
        itemType: "https://schema.org/Place",
        ...props
    }, children);
};
