"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GeoIntersects = void 0;
const react_1 = require("react");
const GeoIntersects = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: 'geoIntersects',
        ...props,
    }, children);
};
exports.GeoIntersects = GeoIntersects;
GeoIntersects.GeospatialGeometry = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "geoIntersects",
        itemScope: true,
        itemType: "https://schema.org/GeospatialGeometry",
        ...props
    }, children);
};
GeoIntersects.Place = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "geoIntersects",
        itemScope: true,
        itemType: "https://schema.org/Place",
        ...props
    }, children);
};
