"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GeoWithin = void 0;
const react_1 = require("react");
const GeoWithin = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: 'geoWithin',
        ...props,
    }, children);
};
exports.GeoWithin = GeoWithin;
GeoWithin.GeospatialGeometry = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "geoWithin",
        itemScope: true,
        itemType: "https://schema.org/GeospatialGeometry",
        ...props
    }, children);
};
GeoWithin.Place = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "geoWithin",
        itemScope: true,
        itemType: "https://schema.org/Place",
        ...props
    }, children);
};
