"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.IsicV4 = void 0;
const react_1 = require("react");
const TextType = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemScope: true,
        itemProp: "isicV4",
        itemType: "https://schema.org/Text",
        ...props,
    }, children);
};
const IsicV4 = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: 'isicV4',
        ...props,
    }, children);
};
exports.IsicV4 = IsicV4;
IsicV4.Text = TextType;
