"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Map = void 0;
const react_1 = require("react");
const URLType = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "map",
        itemScope: true,
        itemType: "https://schema.org/URL",
        ...props,
    }, children);
};
const Map = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "map",
        ...props,
    }, children);
};
exports.Map = Map;
Map.URL = URLType;
