"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Maps = void 0;
const react_1 = require("react");
const URLType = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "maps",
        itemScope: true,
        itemType: "https://schema.org/URL",
        ...props,
    }, children);
};
const Maps = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "maps",
        ...props,
    }, children);
};
exports.Maps = Maps;
Maps.URL = URLType;
