"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Photo = void 0;
const react_1 = require("react");
const Photo = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: 'photo',
        ...props,
    }, children);
};
exports.Photo = Photo;
Photo.Photograph = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "photo",
        itemScope: true,
        itemType: "https://schema.org/Photograph",
        ...props
    }, children);
};
Photo.ImageObject = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "photo",
        itemScope: true,
        itemType: "https://schema.org/ImageObject",
        ...props
    }, children);
};
