"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PublicAccess = void 0;
const react_1 = require("react");
const BooleanType = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "publicAccess",
        itemScope: true,
        itemType: "https://schema.org/Boolean",
        ...props,
    }, children);
};
const PublicAccess = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "publicAccess",
        ...props,
    }, children);
};
exports.PublicAccess = PublicAccess;
PublicAccess.Boolean = BooleanType;
