"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Telephone = void 0;
const react_1 = require("react");
const TextType = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemScope: true,
        itemProp: "telephone",
        itemType: "https://schema.org/Text",
        ...props,
    }, children);
};
const Telephone = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: 'telephone',
        ...props,
    }, children);
};
exports.Telephone = Telephone;
Telephone.Text = TextType;
