"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TourBookingPage = void 0;
const react_1 = require("react");
const URLType = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "tourBookingPage",
        itemScope: true,
        itemType: "https://schema.org/URL",
        ...props,
    }, children);
};
const TourBookingPage = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "tourBookingPage",
        ...props,
    }, children);
};
exports.TourBookingPage = TourBookingPage;
TourBookingPage.URL = URLType;
